ru.bitel.bgbilling.kernel.tariff.common.service

## Interface TariffService

-     public interface TariffService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchResult<TariffItem>` | `searchTariffPlans(java.util.List<java.lang.Integer> labelIds, java.util.List<java.lang.Integer> moduleIds, int showUsed, Page page)`
    `void` | `tariffGroupDelete(int id)` Удаление группы тарифов по его ID.
    `TariffGroup` | `tariffGroupGet(int id)` Получение группы тарифов по его ID.
    `java.util.List<TariffGroup>` | `tariffGroupList()` Получение списка групп тарифных планов.
    `int` | `tariffGroupUpdate(TariffGroup tariffGroup)` Изменение/добавление группы тарифов.
    `void` | `tariffPlanDelete(int id)` Удаление тарифного плана по его ID.
    `TariffPlan` | `tariffPlanGet(int id)` Получение тарифного плана по его ID.
    `java.util.List<TariffPlan>` | `tariffPlanList(long groupMask, java.lang.Integer personType, java.lang.String title)` Получение списка тарифных планов.
    `int` | `tariffPlanUpdate(TariffPlan tariffPlan)` Изменение/добавление тарифного плана.

- - ### Method Detail

    - #### searchTariffPlans

          SearchResult<TariffItem> searchTariffPlans(java.util.List<java.lang.Integer> labelIds,
                                                     java.util.List<java.lang.Integer> moduleIds,
                                                     int showUsed,
                                                     Page page)
                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### tariffPlanGet

          TariffPlan tariffPlanGet(int id)
                            throws ru.bitel.bgbilling.common.BGException

      Получение тарифного плана по его ID.
      Parameters:
        `id` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### tariffPlanDelete

          void tariffPlanDelete(int id)
                         throws ru.bitel.bgbilling.common.BGException

      Удаление тарифного плана по его ID.
      Parameters:
        `id` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### tariffPlanUpdate

          int tariffPlanUpdate(TariffPlan tariffPlan)
                        throws ru.bitel.bgbilling.common.BGException

      Изменение/добавление тарифного плана.
      Parameters:
        `tariffPlan` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### tariffPlanList

          java.util.List<TariffPlan> tariffPlanList(long groupMask,
                                                    java.lang.Integer personType,
                                                    java.lang.String title)
                                             throws ru.bitel.bgbilling.common.BGException

      Получение списка тарифных планов.
      Parameters:
        `groupMask` - фильтр по группе договоров
        `face` - фильтр по юр. или физю лицам
        `title` - подстрока названия тарифа
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### tariffGroupGet

          TariffGroup tariffGroupGet(int id)
                              throws ru.bitel.bgbilling.common.BGException

      Получение группы тарифов по его ID.
      Parameters:
        `id` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### tariffGroupDelete

          void tariffGroupDelete(int id)
                          throws ru.bitel.bgbilling.common.BGException

      Удаление группы тарифов по его ID.
      Parameters:
        `id` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### tariffGroupUpdate

          int tariffGroupUpdate(TariffGroup tariffGroup)
                         throws ru.bitel.bgbilling.common.BGException

      Изменение/добавление группы тарифов.
      Parameters:
        `tariffGroup` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### tariffGroupList

          java.util.List<TariffGroup> tariffGroupList()
                                               throws ru.bitel.bgbilling.common.BGException

      Получение списка групп тарифных планов.
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`